[arch-commits] Commit in cups-pdf/repos (extra-x86_64 extra-x86_64/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Mon Jul 14 15:43:42 EDT 2008


    Date: Monday, July 14, 2008 @ 15:43:42
  Author: andyrtr
Revision: 5292

Merged revisions 2-5291 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/cups-pdf/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r2304 | paul | 2008-05-31 05:00:40 +0000 (Sa, 31 Mai 2008) | 2 lines
  
  Added licenses for 64 packages.
........
  r5291 | andyrtr | 2008-07-14 19:43:06 +0000 (Mo, 14 Jul 2008) | 1 line
  
  upgpkg: cups-pdf 2.4.8-1
........

Modified:
  cups-pdf/repos/extra-x86_64/	(properties)
  cups-pdf/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: cups-pdf/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /cups-pdf/trunk:1
   + /cups-pdf/trunk:1-5291

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-14 19:43:06 UTC (rev 5291)
+++ extra-x86_64/PKGBUILD	2008-07-14 19:43:42 UTC (rev 5292)
@@ -1,27 +1,28 @@
 # $Id$
 # Maintainer: Thomas Baechler <thomas.baechler at rwth-aachen.de>
 pkgname=cups-pdf
-pkgver=2.4.6
+pkgver=2.4.8
 pkgrel=1
 pkgdesc="PDF printer for cups"
 arch=(i686 x86_64)
 depends=('cups' 'ghostscript')
 install=cups-pdf.install
 url="http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf"
+license=('GPL2')
 source=(http://cip.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/src/cups-pdf_$pkgver.tar.gz)
 backup=(etc/cups/cups-pdf.conf)
-md5sums=('610a2e1d9ecd27ab978efaa6d93ddba3')
+md5sums=('0d17dc5e094b366c8ad43cc27c7f82c9')
 
 build() {
   # Build and install
-  cd $startdir/src/$pkgname-$pkgver/src
+  cd $srcdir/$pkgname-$pkgver/src
   [ -z "$CC" ] && CC=gcc
-  $CC $CFLAGS -o cups-pdf cups-pdf.c || return 1
-  install -D -m700 cups-pdf $startdir/pkg/usr/lib/cups/backend/cups-pdf || return 1
+  $CC $CFLAGS -Wall -o cups-pdf cups-pdf.c || return 1
+  install -D -m700 cups-pdf $pkgdir/usr/lib/cups/backend/cups-pdf || return 1
 
   # Install Postscript Color printer
   cd ../extra
-  install -D -m644 PostscriptColor.ppd $startdir/pkg/usr/share/cups/model/PostscriptColor.ppd || return 1
+  install -D -m644 CUPS-PDF.ppd $pkgdir/usr/share/cups/model/CUPS-PDF.ppd || return 1
 
   # Install config file
   install -D -m644 cups-pdf.conf $startdir/pkg/etc/cups/cups-pdf.conf || return 1





More information about the arch-commits mailing list